using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Transport.DAL;
using System.Data;

namespace Transport.BLL
{
    class bll_city
    {
        // فرخوانی متد انتخاب همه رکوردهای  جدول شهر ها توسط این متد انجام میگیرد
        public static DataTable SelectAllRecord(string TableName)
        {
            return dal_commonCrud.SelectAllRecords(TableName);
        }


        // فراخوانی متد اجرای دستورات توسط این متد انجام میگیرد
        public static bool RunQuery(string SQLQuery)
        {
            bool TransactionResult = dal_commonCrud.RunQuery(SQLQuery);
            return TransactionResult;
        }


        //جستجو در جدول شهر ها بر اساس رشته پرس و جوی ارسالی از فرم
        public static DataTable search_in_city(string SQLQuery)
        {
            DataTable SearchResultTable = dal_commonCrud.search(SQLQuery);
            return SearchResultTable;
        }


        public static DataTable SelectCityList()
        {
            DataTable ResultTable = dal_city.CityList();
            return ResultTable;
        }


        #region checkRecordExist
        public static bool checkRecordExist(string tableName,string fieldName,string fieldValue)
        {
            bool result = dal_commonCrud.checkRecordExists(tableName, fieldName, fieldValue);

            return result;
        }
        #endregion


    }
}
